import requests, json, sys

def get_ares_data(ico):
    ares_url = f'https://wwwinfo.mfcr.cz/cgi-bin/ares/darv_std.cgi?ico={ico}&xml=2'
    try:
        response = requests.get(ares_url)
        if response.status_code == 200:
            return response.text
        else:
            print(f'Chyba při získávání dat z ARES API. Chybový kód: {response.status_code}')
            return None
    except Exception as e:
        print(f'Nastala chyba: {str(e)}')
        return None
#print("Total arguments:", len(sys.argv))
#print("Param:", sys.argv[1:])
ico = sys.argv[1:]
response=requests.get( 'https://ares.gov.cz/ekonomicke-subjekty-v-be/rest/ekonomicke-subjekty/'+ico[0])
a=dict(json.loads(response.text))

print(f'{response}\
                   \n<0{a.get('dic')}\
		   \n<1{a.get("obchodniJmeno")}\
                   \n<2{a.get("sidlo").get("nazevMestskehoObvodu")}\
                   \n<3{a.get("sidlo").get("nazevUlice")} {a.get("sidlo").get("cisloOrientacni")}\
                   \n<4{a.get("sidlo").get("psc")}')

with open('i:\\temp\\adresa.txt', 'w') as file:
    file.write(f'{response}\
                   \n<0{a.get('dic')}\
                   \n<1{a.get("obchodniJmeno")}\
                   \n<2{a.get("sidlo").get("nazevMestskehoObvodu")}\
                   \n<3{a.get("sidlo").get("nazevUlice")} {a.get("sidlo").get("cisloOrientacni")}\
                   \n<4{a.get("sidlo").get("psc")}')
